module velocitymodule
contains
subroutine velocity(vx,vy,vz,v)

	implicit none
    integer, dimension(:), intent(inout) :: v    !global parameters !v(1) is valance electron, v(6) is core electron
    double precision, dimension(:), intent(in) :: vx,vy,vz
   ! double precision, intent(out) :: radius
    integer p1,p2,e1,e2,n1,n2,m,i,j
    double precision d(6)


!mp=1836.1526    !proton/electron mass ratio
!mne=1838.684    !neutron/electron mass ratio

p1=7
p2=12
e1=1
e2=6
n1=13
n2=18


do i=1,6        !i particle and calculating for this only

!v(1) is valence electron, v(6) is core electron

    d(i)=sqrt(vx(v(i))*vx(v(i))+vy(v(i))*vy(v(i))+vz(v(i))*vz(v(i)))
        

end do


write(14,*) "velecity from core to valence: ", d(6),d(5),d(4),d(3),d(2),d(1)



end subroutine velocity
end module velocitymodule
	  
